<?php
/*
Plugin Name: WP Custom Noindex Nofollow
Description: noindex & nofollow Customize Plugin
Author: miura
Author URI: https://worklog.be/
Plugin URI: https://worklog.be/archives/3361 
Version: 1.0.5
*/

if ( ! defined( 'wcnn_pulugin_dir' ) ) {
	define( 'wcnn_pulugin_dir', dirname( __FILE__ ) );
}

if ( ! defined( 'wcnn_pulugin_url' ) ) {
	define( 'wcnn_pulugin_url', plugin_dir_url( __FILE__ ) );
}

require_once( wcnn_pulugin_dir . '/includes/admin.php' );
require_once( wcnn_pulugin_dir . '/includes/functions.php' );

if ( is_admin() ) {

	/* admin page */
	new wcnn_setting;

	/* install */
	function wcnn_activation_plugin() {

		if ( ! get_option( 'wcnn_options' ) ) {

			$default_option = array(
				'noindex_post'     => false,
				'noindex_page'     => false,
				'noindex_search'   => false,
				'noindex_category' => false,
				'noindex_post_tag' => false,
				'noindex_date'     => true,
				'noindex_author'   => true,
				'noindex_paged'    => true,
				'noindex_404'      => true
			);

			update_option( 'wcnn_options', $default_option );

		}

	}
	register_activation_hook( __FILE__, 'wcnn_activation_plugin' );

	/* uninstall */
	function wcnn_uninstall_plugin() {

		delete_option( 'wcnn_options' );

	}
	register_uninstall_hook( __FILE__, 'ncpc_uninstall_plugin' );

	/* update check */
	require( wcnn_pulugin_dir . '/plugin-updates/plugin-update-checker.php' );
	$wcnnUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
		'https://worklog.be/update-info/wp-custom-noindex-nofollow.json',
		__FILE__,
		'WP Custom Noindex Nofollow'
	);

}

?>
